--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns the correct HOOKS Hash depending on whether we are working with class methods or instance methods
full_name: Extlib::Hook::ClassMethods#hooks_with_scope
is_singleton: false
name: hooks_with_scope
params: (scope)
visibility: public
